## Ms. Isle
- Adds a playable Missile Drone survivor based on the existing Missile Drone ally 
- Includes a full suite of abilities and fixes to make being a flying survivor more playable and enjoyable
- Made entirely using stock assets and in-code modified assets (Hence the small install size)
- Uses no code hooks/injection or modification to RoR2's base code, ensuring compatibility with all other mods

[![](https://i.imgur.com/zfGny2d.png)]()
[![](https://i.imgur.com/cjT5Ge3.jpg)]()

## Skills

| Skill | | Description | Stats |
|:-|-|------|-|
| Fly-by | ![](https://i.imgur.com/aRTZ99Y.png) | Ms. Isle can `fly` in any direction! Flying close to terrain will cause her to `sprint`! Jumping is replaced with `Overclocked Drives`. | Sprint activates when within `5 metres` of terrain, deactivates when `8 metres` away from terrain.  |
| AtG Misike Mk.II | ![](https://i.imgur.com/JjgbEyp.png) | `Agile`. Fire a barrage of missiles for `6x100%` damage. `Fire-rate bonuses increase the number of missiles in the barrage`. | Proc: `1.0`, CD: `2 sec` |
| Pack Hounds | ![](https://i.imgur.com/bUhDzox.png) | `Agile`. Fire a barrage of auto-targeting Pack Hound missiles for `400%` damage. `Charges for this ability are gained per-kill`.| Proc: `1.0` |
| Overclocked Drives | ![](https://i.imgur.com/i1MMw9a.png) | Enter a brief omnidirectional boost. `Items that affect jumping affect this ability instead`. This ability recharges all stocks upon flying near terrain. | CD: Minimum of `2 sec` |
| Cumulative Warhead | ![](https://i.imgur.com/qMzWkIj.png) | Fire a cumbersome, slow-moving warhead for `500%` damage that `absorbs damage` dealt by you and your allies, exploding on impact for a huge detonation of a radius and damage influenced by the amount of absorbed damage. | Proc: `1.0`, CD: `30 sec` |


## Known issues
- Lack of default skin causes a UI bug when switching between Ms. Isle and other characters on the selection screen. (Not game breaking, just overpopulates the character select screen with blank rows of skins; just don't repeatedly switch between Ms Isle and other survivors and this won't cause issues at all)
- *Pack Hounds* (Secondary ability) can sometimes cancel early. The missiles lost in this cancellation will be refunded in the next use of the ability.
- *Cumulative Warhead* (Special ability) can prematurely detonate if it receives too much damage in a single update cycle/frame. (Avoid using *The Royal Capacitor* on it unless you want to manually detonate it)
- The view ray used to determine activating interactables will feel slightly off. To change the final teleporter's destination, you'll need to push yourself against the outer part of the teleporter until the prompt appears. Chests etc. should work almost perfectly as of 1.0.0

## Future Plans
- Additional Skills
- Skins
- General bug-fixes

## Changelog
`1.0.0`
- Initial release!

## Credits
**Hogyn Melyn** (Alex James) - Programming  
**Hopoo Games** - Stock assets etc.  
## Contacts
**Hogyn Melyn** (Alex James) - Discord @ HogynMelyn#2589
___
#### Fun Facts:
Not a single new prefab, asset, of resource was used in the creation of this mod. All resources are either stock (already installed with RoR2), or in-code modified versions of those stock assets. (Hence the small install size)

#### Source:
Looking to get into modding? Check out the source code at https://bitbucket.org/AJames99/missiledronesurvivormod